Subject: [PATCH v5 6/6] ARM: dts: DRA7: Add dt nodes for PWMSS

From: [email-masked] (Franklin S Cooper Jr.)
Date: Tue, 19 Apr 2016 11:20:32 -0500

On 04/11/2016 03:21 PM, Tony Lindgren wrote:
> * Franklin S Cooper Jr. <[email-masked]> [160317 08:55]:
>>
>>
>> On 03/17/2016 10:11 AM, Rob Herring wrote:
>>> On Mon, Mar 07, 2016 at 07:23:44PM -0600, Franklin S Cooper Jr wrote:
>>>> From: Vignesh R <[email-masked]>
>>>>
>>>> Add PWMSS device tree nodes for DRA7 SoC family and add documentation
>>>> for dt bindings.
>>>>
>>>> Signed-off-by: Vignesh R <[email-masked]>
>>>> [fcooper at ti.com: Add eCAP and use updated bindings for PWMSS and ePWM]
>>>> Signed-off-by: Franklin S Cooper Jr <[email-masked]>
>>>> ---
>>>> Version 5 changes:
>>>> Add DT node for eCAP and update eCAP binding documentation
>>>>
>>>> Version 4 changes:
>>>> Updated link to the latest documentation
>>>>
>>>>  .../devicetree/bindings/pwm/pwm-tiecap.txt         |  9 +++
>>>>  .../devicetree/bindings/pwm/pwm-tiehrpwm.txt       |  9 +++
>>>>  .../devicetree/bindings/pwm/pwm-tipwmss.txt        | 15 +++-
>>>>  arch/arm/boot/dts/dra7.dtsi                        | 84 ++++++++++++++++++++++
>>>>  4 files changed, 116 insertions(+), 1 deletion(-)
>>>
>>>> +			ehrpwm1: pwm at 48440200 {
>>>> +				compatible = "ti,dra7xx-ehrpwm",
>>>> +					     "ti,am33xx-ehrpwm";
>>>> +				#pwm-cells = <3>;
>>>> +				reg = <0x48440200 0x80>;
>>>> +				clocks = <&ehrpwm1_tbclk>;
>>>> +				clock-names = "tbclk";
>>>> +				status = "disabled";
>>>> +			};
>>>> +
>>>> +			ecap1: ecap at 48440100 {
>>> This also is a PWM? Then it should also be pwm at ...
>>
>> The enhanced capture module primary purpose is to measure
>> time between external signals which is called capture mode.
>> It also has a PWM mode. So I wouldn't recommend generalizing
>> the entire node to pwm.
> 
> So is this patch safe for me to apply now or do we need more
> changes?

No. This patch will change based on changes I will make to handle patch
1 comments. I will send a new rev.
> Regards,
> Tony